# limpador do luca0N! 3 (ldl3)
## [pt_BR]

O limpador do luca0N! 3 é o sucessor do limpador do luca0N! 2 (também conhecido como winpador do luca0N!). [É escrito em C, utiliza a API do Windows, (é distribuído sob a licença GNU General Public License versão 3](./LICENSE), e teve seu desenvolvimento iniciado em torno de 26 de abril de 2020.

Este programa está apenas disponível para Windows pelo fato de que o ldl3 depende fortemente da API do Windows. No momento, não há nenhum plano para suportar outras plataformas.

## Sobre o ldl3

Se você é um usuário comum do Windows, pode ser que você não necessite dele, tendo em vista que o próprio Windows possui ferramentas para limpar o computador. Porém, este programa tem como foco dar uma experiência de usuário simples, mas dando a possibilidade ao usuário de configurar o aplicativo além do padrão, o que pode ser muito útil para pessoas que não possuem experiência com o Windows e útil para desenvolvedores, que podem definir caminhos customizados para liberar espaço.

Para mais informações, [veja a nota do desenvolvedor](./notaDoDesenvolvedor).

# ⚠ Aviso de uso

O limpador do luca0N! 3 tem o potencial para destruir o seu sistema. Por favor, **utilize esta ferramenta com cuidado** e **sempre verifique duas vezes se o arquivo de configurações possui erros de sintaxe**. **Utilize este programa com seu próprio risco!**

# Requesitos

## Compilação

Para compilar, você vai precisar de:

- API do Windows;
- `gcc`;
- GNU make.

## Compilando

Para compilar, utilize:
``` bash
$ make
```
*Nota: este comando irá gerar arquivos além do executável principal.*

Para compilar sem deixar arquivos adicionais, utilize:
``` bash
$ make dustless
```